{ nixpkgs ? import <nixpkgs> {} }:

with nixpkgs;

mkShell {
  name = "flowr";

  buildInputs = with pkgs; [
    libxml2
    ruby_2_6
    zlib
  ];

  shellHook = ''
    mkdir -p .nix-gems
    export GEM_HOME=$PWD/.nix-gems/$(ruby -e "puts RUBY_VERSION")
    export GEM_PATH=$GEM_HOME
    export PATH=$GEM_HOME/bin:$PATH
  '';
}
